Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface LocationType

All Known Implementing Classes:
  LocationTypeImpl

    public interface LocationType

Fully describes the location of content within the container as either a point or range within the innermost subcontainer (e.g., pages xxiv through xxvii or page 4) Java content class for locationType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 252)

     <complexType name="locationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="range" type="{http://infoml.org/infomlFile}rangeType"/>
               <element name="point" type="{http://infoml.org/infomlFile}pointType"/>
               <element name="complexRange" type="{http://infoml.org/infomlFile}complexRangeType"/>
               <element name="complexPoint" type="{http://infoml.org/infomlFile}complexPointType"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Method Summary
`ComplexPointType` | `getComplexPoint()` Gets the value of the complexPoint property.
`ComplexRangeType` | `getComplexRange()` Gets the value of the complexRange property.
`PointType` | `getPoint()` Gets the value of the point property.
`RangeType` | `getRange()` Gets the value of the range property.
`void` | `setComplexPoint(ComplexPointType value)` Sets the value of the complexPoint property.
`void` | `setComplexRange(ComplexRangeType value)` Sets the value of the complexRange property.
`void` | `setPoint(PointType value)` Sets the value of the point property.
`void` | `setRange(RangeType value)` Sets the value of the range property.

Method Detail

### getRange

    RangeType getRange()

  Gets the value of the range property.

  Returns:
    possible object is `RangeType`

### setRange

    void setRange(RangeType value)

  Sets the value of the range property.

  Parameters:
    `value` - allowed object is `RangeType`

### getComplexRange

    ComplexRangeType getComplexRange()

  Gets the value of the complexRange property.

  Returns:
    possible object is `ComplexRangeType`

### setComplexRange

    void setComplexRange(ComplexRangeType value)

  Sets the value of the complexRange property.

  Parameters:
    `value` - allowed object is `ComplexRangeType`

### getPoint

    PointType getPoint()

  Gets the value of the point property.

  Returns:
    possible object is `PointType`

### setPoint

    void setPoint(PointType value)

  Sets the value of the point property.

  Parameters:
    `value` - allowed object is `PointType`

### getComplexPoint

    ComplexPointType getComplexPoint()

  Gets the value of the complexPoint property.

  Returns:
    possible object is `ComplexPointType`

### setComplexPoint

    void setComplexPoint(ComplexPointType value)

  Sets the value of the complexPoint property.

  Parameters:
    `value` - allowed object is `ComplexPointType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD